##################
#
# klasa emptyDirTree
#
# klasa suy do rekursywnego usuwania wszystkich plikw z katalogu i podkatalogw
#

package emptyDirTree;

use strict;
use dirTree;
use utilities;
use vars qw(@ISA);


@ISA = ("dirTree");


# Wasny konstruktor nie jest potrzebny - wystarcza konstruktor klasy macierzystej

#############################################
#
# processFile
#
sub processFile{
  my ($self,$fullFileName)=@_;
  my $res=unlink($fullFileName) if(!$main::opt_t);
  print "Removing $fullFileName\n" if($main::opt_v);
  return $res;
}

#############################################
#
# postProcessDir
#
sub postProcessDir{
  my ($self,$fullFileName)=@_;
  my $res=rmdir($fullFileName) if(!$main::opt_t);
  print "Removing directory $fullFileName\n" if($main::opt_v);
  return $res;
}

1;