##################
#
# klasa patterns
#
# (c) Marian Mrozek, Krakw 2006
#
# klasa dostarcza funkcj weryfikujc czy plik pasuje do zadanego wzorca
# Zaprojektowana, ale chyba niepotrzebna, bo mona wstawia alternatywy wzorcw
#

package patterns;

use strict;
use File::Basename;

################################
#
# Konstruktor
#
sub new{
  my ($class,$patt_list) = @_;
  my $self = {};
  my $x;
  foreach $x (split(/,/,$patt_list)){
    $self->{patterns}->{$x} = $x;
    print "dirTree::patterns::new: Adding suffix $x\n" if($main::opt_d);
  }
  bless($self,$class);
  return $self;
}


################################
#
# Funkcja sprawdzajca czy plik pasuje do jednego z podanych wzorcw
#
sub accepts{
  my ($self,$file) = @_;
  my ($base,$path,$suff) = fileparse($file,'\.[^\.]+\Z');
  my $name="$base.$suff";

  my $result=0;

  while (my($key,$value) = each $self->{patterns}) {
     if($name =~ /$key/i){
       $result=1;
       break;
     };
  }

  return $result;
}

################################

1;