###############################
#
# Modu programw pomocniczych

package ExamUtil;
use utilities;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(rozpakujWyniki zapakujWyniki);

###############################
#
sub rozpakujWyniki{
  my ($record)=@_;
  chop($record) if($record =~ /\n$/sm);
  my($imageFile,
     $pozycjaWWiazce,
     $nrStud,
     $nrTestu,
     $przeczytanyNumerEdycjiTerminu,
     $przeczytanyNumerGrupySal,
     $odpowiedzi
  )=split(';',$record);
  $nrStud=fill_to_left($nrStud,4);
  my @odpWgPytan=split(':',$odpowiedzi);
  my $ans=[];
  my $i=0;
  foreach my $pyt (@odpWgPytan){
    $ans->[$i]=[];
    my @x=split('-',$pyt);
    my $j=0;
    foreach my $u (@x){
      $ans->[$i]->[$j]=$u;
      my $z=$ans->[$i]->[$j];
      $j++;
    }
    $i++;
  }
  return ($imageFile,$pozycjaWWiazce,$nrStud,$nrTestu,$przeczytanyNumerEdycjiTerminu,$przeczytanyNumerGrupySal,$ans);
}
###############################
#
sub zapakujWyniki{
  my ($imageFile,$pozycjaWWiazce,$nrStud,$nrTestu,$przeczytanyNumerEdycjiTerminu,$przeczytanyNumerGrupySal,$ans)=@_;
  my $record="$imageFile;$pozycjaWWiazce;$nrStud;$nrTestu;$przeczytanyNumerEdycjiTerminu;$przeczytanyNumerGrupySal;";
  for(my $i=0;$i<@{$ans};++$i){
    $record.=':' if($i);
    for(my $j=0;$j<@{$ans->[$i]};++$j){
      $record.='-' if($j);
      $record.=$ans->[$i]->[$j];
    }
  }
  $record.="\n";
  return $record;
}
###############################
