###############################
#
# Klasa Koryguj
#
# (c) Marian Mrozek 2008
#
#

package Koryguj;

use raportOkienkowy;
use SelektorKorektora;


####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;


  $self->{naglowekOpisuZadania}=<<FIN
Korekta arkuszy odpowiedzi
FIN
  ;
  $self->{tekstOpisuZadania}=<<END
Korektor pozwala przeglda, korygowa, a take usuwa zeskanowane arkusze
odpowiedzi. By uruchomi korektora przycinij "Wykonaj".
END
  ;

  $self->{dopuscEdycje}=1;
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  return $self;
}

####################################################
#
# wywyoanie programu konfigurujcego
#

sub wykonaj{
  my ($self)=@_;

  if(!$self->{selektorKorektora}){
    $self->{par}->{referencjaDoSelektoraKorektora}=\$self->{selektorKorektora};
    $self->{selektorKorektora} = new SelektorKorektora($self->{referencjaZadania}->{referencjaEgzaminatora}->{mainWindow},$self->{par},$self->{referencjaZadania});
    $self->{selektorKorektora}->configWindow();
  }

}


###########################################################################

1;
