##################
#
# Klasa drukujTesty
#
# wspiera drukowanie testw przez AcrobatReadera
#
#

package drukujTesty;

use utilities;
use zadanieZewnetrzneEgzaminatora;

@ISA = ("zadanieZewnetrzneEgzaminatora");

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Drukowanie formularzy testu
END
  ;
  $self->{tekstOpisuZadania}=<<END
  Przygotowane testy mona obejrze i wydrukowa
przy uyciu Acrobat Readera. Przed wydrukowaniem
warto sprawdzi, czy testy rozoyy si poprawnie
na stronach.
END
  ;
  $self->{dopuscEdycje}=1;
  $self->{'nazwaEgzekutoraZewnetrznego'}='CzytnikPDF';
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  return $self;
}

####################################################
#
# wywyoanie programu drukujcego testy
#

sub wykonajWlasciweZadanie{
  my ($self)=@_;

  my $baseName=$self->{referencjaZadania}->{par}->{nazwaBazowaTestu};

  my $numerEdycji=$self->{referencjaZadania}->{numerEdycji};
  $baseName.="-$numerEdycji" if($numerEdycji);
  my $command="\"$self->{referencjaZadania}->{par}->{CzytnikPDF}\" pdf/$baseName-testy.pdf";
  $self->{oknoRaportu}->insert('end',"Wywouj: $command\n");
#  my $out=`$command`;
  Win32::Process::Create($Win32::Process::Create::ProcessObj,
    $self->{referencjaZadania}->{'par'}->{'Cmd'}, #
    "/c $command", #
    0, # Dont inherit.
    CREATE_NEW_CONSOLE,
    "."
  ) or
  die Win32::FormatMessage( Win32::GetLastError() );
}

########################################################################

1;

