##################
#
# Klasa edytujFormularzTestu
#
# wspiera drukowanie testw przez AcrobatReadera
#
#

package edytujFormularzTestu;

use utilities;
use zadanieZewnetrzneEgzaminatora;
use FileDialog;
use Win32::Process;

@ISA = ("zadanieZewnetrzneEgzaminatora");

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Edycja formularzy testu
END
  ;
  $self->{tekstOpisuZadania}=<<END
  Tu uruchamiamy edytor w celu wprowadzenia i/lub edytowania formularza testu.
Formularz ten jest zapisywany w jzyku XML.
END
  ;
  $self->{dopuscEdycje}=1;
  $self->{'nazwaEgzekutoraZewnetrznego'}='Edytor';
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  return $self;
}

####################################################
#
# wywyoanie programu edytujcego list studentw
#

sub wykonajWlasciweZadanie{
  my ($self)=@_;

  my $baseName=$self->{referencjaZadania}->{par}->{nazwaBazowaTestu};

  my $numerEdycji=$self->{referencjaZadania}->{numerEdycji};
  $baseName.="-$numerEdycji" if($numerEdycji);
  my $fd=$self->{referencjaZadania}->{mainWindow}->FileDialog(
    -Path => 'tematy',
    -Chdir => 0,
    -DisableShowAll => 1,
    -FPat => '*.xml',
    -File => 'tematy.xml',
    -Title => 'Wybierz plik',
    -FileLBCaption => 'Lista plikw',
    -FileEntryLabel => 'Nazwa pliku:',
    -PathEntryLabel => 'cieka',
    -FltEntryLabel => 'Filtr'
  );
  my $file=$fd->Show();
  if($file){
    my $command="\"$self->{referencjaZadania}->{par}->{Edytor}\" $file";
    $self->{oknoRaportu}->insert('end',"Wywouj: $command\n");
    #my $out=`$command`;
    Win32::Process::Create($Win32::Process::Create::ProcessObj,
      $self->{referencjaZadania}->{'par'}->{'Cmd'}, #
      "/c $command", #
      0, # Dont inherit.
      CREATE_NEW_CONSOLE,
      "."
    ) or
    die Win32::FormatMessage( Win32::GetLastError() );
  }
}

########################################################################

1;

