##################
#
# Klasa edytujListeZaliczen
#
# wspiera drukowanie testw przez AcrobatReadera
#
#

package edytujListeZaliczen;

use utilities;
use zadanieZewnetrzneEgzaminatora;
use FileDialog;
use Win32::Process;

@ISA = ("zadanieZewnetrzneEgzaminatora");

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Edycja punktacji z wicze
END
  ;
  $self->{tekstOpisuZadania}=<<END
  Tu uruchamiamy edytor w celu edytowania punktacji z wicze. Edycja ta
przydatna jest gdy samodzielnie wystawiamy zaliczenia lub chcemy skorygowa
zaliczenia wystawione przez innych. Wypeni/edytowa naley kolumn
o nazwie punktyCwiczeniowe. Dodatkowo mona w kolumnie zaliczenie wpisa
sownie ocen z zaliczenia. Podstawowy plik z punktacj z wicze ma nazw
   nazwaBazowaTestu.cwiczenia-nnn.csv
Plik ten mona sklonowa, podmieniajc nnn w nazwie na inny cig liter
(ale nie cyfr), na przykad wstawiajc nazwisko asystenta. Przy wystawianiu
kocowych ocen czytane s wszystkie sklonowane pliki, a dla kadego studenta
punktacja pobierana jest z pliku, w ktrym jest wystawiona. Jeli wypeniona
jest wicej ni w jednym pliku, sygnalizowany jest bd.
END
  ;
  $self->{dopuscEdycje}=1;
  $self->{'nazwaEgzekutoraZewnetrznego'}='EdytorCSV';
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  return $self;
}

####################################################
#
# wywyoanie programu edytujcego list studentw
#

sub wykonajWlasciweZadanie{
  my ($self)=@_;

  my $baseName=$self->{referencjaZadania}->{par}->{nazwaBazowaTestu};

  my $numerEdycji=$self->{referencjaZadania}->{numerEdycji};
  $baseName.="-$numerEdycji" if($numerEdycji);

  my $fd=$self->{referencjaZadania}->{mainWindow}->FileDialog(
    -Path => '.',
    -Chdir => 1,
    -FPat => '*.csv',
    -File => 'studenci.csv',
    -Title => 'Wybierz plik',
    -DisableShowAll => 1,
    -FileLBCaption => 'Lista plikw',
    -FileEntryLabel => 'Nazwa pliku:',
    -PathEntryLabel => 'cieka',
    -FltEntryLabel => 'Filtr'
  );
  my $file=$fd->Show();
  $file =~ s|/|\\|g;
  if($file){
    my $command="\"$self->{referencjaZadania}->{par}->{EdytorCSV}\" $file";
    $self->{oknoRaportu}->insert('end',"Wywouj: $command\n");
#    my $out=`$command`;
    Win32::Process::Create($Win32::Process::Create::ProcessObj,
      $self->{referencjaZadania}->{'par'}->{'Cmd'}, #
      "/c $command", #
      0, # Dont inherit.
      CREATE_NEW_CONSOLE,
      "."
    ) or
    die Win32::FormatMessage( Win32::GetLastError() );
  }
}

########################################################################

1;

