###############################
#
# Klasa konfiguruj
#
# (c) Marian Mrozek 2002
#
#

use konfigurator;
use raportOkienkowy;

package konfiguruj;

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;


  $self->{naglowekOpisuZadania}=<<FIN
Konfiguracja danych
FIN
  ;
  $self->{tekstOpisuZadania}=<<END
Konfigurator pozwala przeglda i definiowa konfigurowalne parametry
egzaminatora. By uruchomi konfigurator przycinij "Wykonaj".
END
  ;

  $self->{dopuscEdycje}=1;
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  return $self;
}

####################################################
#
# wywyoanie programu konfigurujcego
#

sub wykonaj{
  my ($self)=@_;

# Nieprzetestowana prba dopuszczenia peniejszej nazwy pliku konfiguracyjnego
#  opendir (DIRHANDLE, '.');
#  my @filelist = readdir (DIRHANDLE);
#  closedir(DIRHANDLE);
#  my $file;
#  my $confFile=''
#  foreach $file (@filelist){
#    if($file eq 'conf' || $file =~ /.*\.conf$/){
#      if($confFile){
#        $self->{raport}->wymalujError("Dwa pliki konfiguracyjne: $confFile i $conf!\n");
#      }else{
#        $confFile=($file =~ /(.*\.conf$)/ ? $1 : 'conf');
#      }
#    }
#  }
  if(!$self->{konfigurator}){
    my $confFile="conf";
    my $iniConfFile="$self->{referencjaZadania}->{par}->{Bin}/egzaminator/przykladowy.conf";
    if($self->{referencjaZadania}->{numerEdycji} =~ /\d/){
      $confFile="$self->{referencjaZadania}->{par}->{nazwaBazowaTestu}-$self->{referencjaZadania}->{numerEdycji}.conf"
                # Prowizoryczna poprawka, bo pracujNaEdycjiTestu zostawia po sobie nie posprzatana nazwe Bazowa
                unless($self->{referencjaZadania}->{par}->{nazwaBazowaTestu} =~ /-\d\d?/);
      $iniConfFile="$self->{referencjaZadania}->{par}->{Bin}/egzaminator/przykladowyDlaEdycji.conf";
    }
    $self->{par}->{referencjaDoKonfiguratora}=\$self->{konfigurator};
    $self->{konfigurator} = new konfigurator($self->{referencjaZadania}->{referencjaEgzaminatora}->{mainWindow},$confFile,$iniConfFile,$self->{par});
    $self->{konfigurator}->configWindow();
  }

}


###########################################################################

1;
