##################
#
# ocenTest.pm
#
#

package ocenTest;
use pracujNaEdycjiTestu;
use Win32::Process;

@ISA=("pracujNaEdycjiTestu");

use utilities;

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Wyznaczenie punktacji z testu
END
  ;
  $self->{tekstOpisuZadania}=<<END
    Po zeskanowaniu formularzy odpowiedzi moemy przystpi do wyznaczenia
punktacji z testu. Naley zwrci uwag na ewentualne pojawiajce si czerwone
komuniakty o bdach. Ich przyczyny nie musz by powane, ale wymagaj jednak
sprawdzenia przyczyny pojawienia si bdu. Sygnalizowanes midzy innymi ze
numery studentw bd formularzy testu, a take niezeskanowane formularze.
Dlatego warto skanowa rwnie formularze studentw nieobecnych. Plik z wynikami
testu jest dostpny w katalogu gwnym pod nazw nazwaBazowa-wyniki.csv
   Zaznaczajc opcj "generuj klucze odpowiedzi dla studentw" wygenerujemy te
dla kadego studenta oddzielnie komplet plikw zawierajcy:
1) formularz testu
2) formularz odpowiedzi
3) klucz ze szczegow ocen pyta
4) indeks w php umoliwiajcy dostp studentw do swoich
   wynikw poprzez podanie nazwiska, imienia i numeru indeksu.
Generowanie kluczy odpowiedzi jest jednak czasochonne.
END
  ;
  $self->{dopuscEdycje}=0;
}

############################## robLubOcenEdycjeTestu ######################
#

sub robLubOcenEdycjeTestu{
  my ($self,$plikKonfiguracyjnyEdycji)=@_;
  my ($uzywanyTest,$par,$sito,$niezbednaIloscTestow,$studentsByExamId,$pierwszyWolnyNr)=$self->init($plikKonfiguracyjnyEdycji);
  return if(!$uzywanyTest);
#  $par->{caller}=$self->{class};
  my ($test,$form,$genListEgz);
  $test = $uzywanyTest->new($par,$sito,$niezbednaIloscTestow,$self->{raport});
  $test->evaluateTests($par,$studentsByExamId);
}

############################## wykonaj ######################
#

sub wykonaj{
  my ($self)=@_;

  if($self->{edytujSuplement}){
    my $dir='studenci';
    $dir="$dir-$self->{par}->{edycja}" if($self->{par}->{edycja});
    my $fileName="$self->{par}->{nazwaBazowaTestu}.studenci.csv";
    my $command="\"$self->{referencjaZadania}->{par}->{EdytorCSV}\" $dir\\$self->{par}->{nazwaBazowaTestu}.studenci-suplement.csv";
#    my $out=`$command`;
    Win32::Process::Create($Win32::Process::Create::ProcessObj,
      $self->{referencjaZadania}->{'par'}->{'Cmd'}, #
      "/k $command", #
      0, # Dont inherit.
      CREATE_NEW_CONSOLE,
      "."
    ) or
    die Win32::FormatMessage( Win32::GetLastError() );
  }

  $main::opt_d=$self->{referencjaZadania}->{klucze};
  $self->wykonajPoczatek();
  $self->wykonajWlasciweZadanie();

#  my $par=readConfiguration('.',1);
  readConfiguration('.',1,$self->{par});
  my $par=$self->{par};
  my $test=new examTestEvaluator($par);
#  $test->zbierzWyniki($par->{nazwaBazowaTestu});
  $test->zbierzWyniki($par);

  $self->wykonajKoniec();
}


########################################################################

1;