###############################
#
# Klasa raportOkienkowy
#
# (c) Marian Mrozek 2002
#
#

package raportOkienkowy;

use raport;

@ISA = ("raport");

sub new{
  my $class=shift;
  my($plik,$okno,$oknoGlowne)=@_;
#  my $self = new raport(@_);
  my $self = new raport($plik,'skip_date');
  bless($self,$class);
  $self->{textWidget}=$okno;
  $self->{textWidget}->tagConfigure('error', -foreground => 'red');
  $self->{textWidget}->tagConfigure('errorSummary', -font => 'Courier 12 bold', -background => 'red');
  $self->{textWidget}->tagConfigure('ok', -font => 'Courier 12 bold', -background => 'green');
  $self->{errorCounter}=0;
  # Okono gwne zawiera informacj przydatn przy generowaniu zapyta
  # okienkowych, by byo je jak osadzi.
  $self->{mainWindow}=$oknoGlowne;
  return $self;
}

sub wymaluj{
  my $self = shift;
  my ($linia) = @_;

  $self->{textWidget}->insert('end',$linia);
  $self->{textWidget}->toplevel()->update();
  $self->{textWidget}->yviewMoveto(1.0);
  $self->wypisz(@_);
}

sub wymalujError{
  my $self = shift;
  my ($linia) = @_;
  $self->{textWidget}->insert('end',$linia,'error');
  $self->{textWidget}->toplevel()->update();
  $self->{textWidget}->yviewMoveto(1.0);
  $self->wypisz(@_);
  $self->{errorCounter}+=1;
}

sub zakoncz{
  my ($self, $linia) = @_;
  my $komunikat="$linia\n\nZadanie zakoczone niepowodzeniem\n";
  $self->{textWidget}->insert('end',$komunikat,'error');
  $self->{textWidget}->toplevel()->update();
  $self->{textWidget}->yviewMoveto(1.0);
  print $komunikat;
  print RAPORT $komunikat;
  $self->zamknij_raport();
  die("");
}

1;
