##################
#
# Klasa robFormularzeTestu
#
#

package robFormularzeTestu;
use pracujNaEdycjiTestu;
use Win32::Process;

@ISA=("pracujNaEdycjiTestu");

use utilities;

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Przygotowanie formularzy testu
END
  ;
  $self->{tekstOpisuZadania}=<<END
Przygotowanie formularzy testu wymaga wczeniejszego:
1) skonfigurowania parametrw egzaminatora
2) wypenienia listy studentw. Lista ta (w formacie *.csv)
   moe te by rcznie wstawiona do podkatalogu studenci.
3) przygotowania pliku(w) z pytaniami testu w formacie *.xml
   w podkatalogu tematy.
END
  ;
  $self->{dopuscEdycje}=1;
}

################################
#
# Funkcja przygotowuje pust list studentw
#
sub writeEmptyStudentList{
  my ($self,$file)=@_;

  my $par={};
  $par->{'StanListy'}="suplement";
  my $emptyStudentRB = new StudentRecordBase;

  my @sortingFieldsArray=qw(nazwisko imie indeks);
  my @protokolHeaderFieldsArray=qw(DaneRekordu StanListy);
  my @protokolFieldsArray=     qw(nazwisko imie indeks punktyCwiczeniowe);
  # Na podstawie poniszego argumentu funkcja write wypisuje pole DaneRekordu
  my @protokolFieldsNamesArray=qw(nazwisko imie indeks punktyCwiczeniowe);

  $emptyStudentRB->write("$file",$par,\@protokolHeaderFieldsArray,\@protokolFieldsArray,\@sortingFieldsArray,\@protokolFieldsNamesArray);
}

############################## robLubOcenEdycjeTestu ######################
#

sub robLubOcenEdycjeTestu{
  my ($self,$plikKonfiguracyjnyEdycji)=@_;
  my ($uzywanyTest,$par,$sito,$niezbednaIloscTestow,$studentsByExamId,$pierwszyWolnyNr)=$self->init($plikKonfiguracyjnyEdycji);
  return if(!$uzywanyTest);
#  my ($test,$form,$genListEgz);
  my $test = $uzywanyTest->new($par,$sito,$niezbednaIloscTestow,$self->{raport});
#  $form=new answerForm($par,$par->{iloscProblemow},$par->{iloscOpcji},$pierwszyWolnyNr,$self->{raport}); # Nieuywane
  $test->{tylkoTestKontrolny}=$self->{tylkoTestKontrolny};
  $test->prepareTests();
#  $test->prepareTests($form,$studentsByExamId); # Pozostae argumenty s nie uywane
}

############################## wykonaj ######################
#

sub wykonaj{
  my ($self)=@_;

  if(-d "skaner"){
    $self->{referencjaZadania}->{mainWindow}->Dialog(
       -title => 'Powtrna generacja formularzy odpowiedzi',
       -text => "Egzamin zawiera zeskanowane testy.\n".
                "Ponowne tworzenie testw uniemoliwi ocen zeskanowanych odpowiedzi.\n".
                "Jeli mimo to chcesz kontynuowa, wczeniej rcznie usu katalog skaner",
       -default_button => 'OK',
       -buttons => ['OK'],
     )->Show();
     return;
  }

  if($self->{tworzPlikStudencki}){
    my $dir='studenci';
    $dir="$dir-$self->{par}->{edycja}" if($self->{par}->{edycja});
    my $fileName="$self->{par}->{nazwaBazowaTestu}.studenci.csv";
    if(-d $dir && !(-r "$dir/$fileName")){
      $self->writeEmptyStudentList("$dir/$fileName");
    }
    my $command="\"$self->{referencjaZadania}->{par}->{Edytor}\" $dir\\$self->{par}->{nazwaBazowaTestu}.studenci.csv";
    Win32::Process::Create($Win32::Process::Create::ProcessObj,
      $self->{referencjaZadania}->{'par'}->{'Cmd'}, #
      "/c $command", #
      0, # Dont inherit.
      CREATE_NEW_CONSOLE,
      "."
    ) or
    die Win32::FormatMessage( Win32::GetLastError() );
    # my $out=`$command`;
  }

print "robFormularzeTestu: iloscProblemow: $self->{iloscProblemow}\n";
  $main::opt_e=$self->{referencjaZadania}->{numerEdycji} if($self->{referencjaZadania}->{numerEdycji} =~ /\d/);
  $self->wykonajPoczatek();
  $self->wykonajWlasciweZadanie();
  $self->wykonajKoniec();

}


########################################################################

1;