##################
#
# Klasa wyswietlWynikiTestu
#
# wspiera podgld wynikw testu w IE
#
#

package wyswietlWynikiTestu;

use utilities;
use zadanieZewnetrzneEgzaminatora;
use Win32::Process;

@ISA = ("zadanieZewnetrzneEgzaminatora");

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Podgld wynikw testu w formacie HTML
END
  ;
  $self->{tekstOpisuZadania}=<<END
Podgld wynikw testu w formacie HTML. Jeli poprzednio zaznaczono
opcj "generuj klucze odpowiedzi dla studentw", dostpny
jest te podgld szczegowych wynikw studentw.
END
  ;
  $self->{dopuscEdycje}=1;
  $self->{'nazwaEgzekutoraZewnetrznego'}='CzytnikHTML';
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  return $self;
}

####################################################
#
# wywoanie programu drukujcego testy
#

sub wykonajWlasciweZadanie{
  my ($self)=@_;

  my $baseName=$self->{referencjaZadania}->{par}->{nazwaBazowaTestu};

  my $pwd=pwd();
  my $edycja=$self->{referencjaZadania}->{numerEdycji};
  $edycja='-'.$edycja if($edycja);


  my $extension=($self->{referencjaZadania}->{sortowanieWzgledemWyniku}?'-wynikiPosortowane.html':'-wyniki.html');
  $self->{oknoRaportu}->insert('end',"Wywouj: $command\n");

  my $cmd="$self->{referencjaZadania}->{par}->{CzytnikHTML}";
  my $arg="/c "."$pwd\\$baseName$edycja$extension";
#print "Command is $cmd";
#print "arg is $arg";

  Win32::Process::Create($Win32::Process::Create::ProcessObj,
    $cmd, #
    $arg, #
    0, # Dont inherit.
    CREATE_NEW_CONSOLE,
    "."
  ) or
  die Win32::FormatMessage( Win32::GetLastError() );
}

########################################################################

1;

