################################
#
# klasa examTestMultiChoice2Pt pochodna od examTestEvaluator
#
# klasa implementuje testy dopuszczajce moliwo wielokrotnych
# poprawnych odpowiedzi
# klasa implementuje funkcje oceniajaca wedlug zasady
# zaznaczone wszystkie poprawne i adna za: 2 pkt
# zaznaczona co najmniej jedna poprawna, nie wszystkie poprawne i adna za: 1pkt
# nic nie zaznaczono: 0pkt
# zaznaczona dokadnie jedna za bez wzgldu na ilo poprawnych: -1pkt
# zaznaczone dwie i wicej zych: -2 pkt
#
package examTestMultiChoice2Pt;

use utilities;
use binary;
use examTestEvaluator;

@ISA = ("examTestEvaluator");


################################
#
# Funkcja obliczajca punkty za jedno pytanie
#
sub obliczPunkty{

  my ($self,$blad,$brak,$ok)=@_;

  my $pkt;
  if($blad>=2){
       $pkt=-2;
    }elsif($blad>=1){
       $pkt=-1;
    }elsif($ok==0){
       $pkt=0;
    }elsif($brak>0){
       $pkt=1;
    }else{
       $pkt=2;
    }

   return $pkt;
}



################################
#
# Funkcja zwracajca maksymaln ilo punktw za test
# Uzaleniona jest oczywicie od iloci problemw
#
sub maksymalnaIloscPunktow{
  my ($self) = @_;

  return 2 * $self->{iloscProblemow};
}

1;