##################
#
# klasa graderMTC
# Pochodna od grader
# Przeznaczona do wystawiania ocen w oparciu o zajcia w ukadzie
# wykad z midtermami - wiczenia
#
#

package graderMTC;

@ISA = ("grader");

##################
#
# Modyfikujemy tylko metod wyznaczOcene
#

sub wyznaczOcene{
  my ($self,$punktyCwiczeniowe,$midterm1,$midterm2,$midterm3)=@_;
  $wagaEgzaminu=0.5;
  my ($ocena,$punktyRazem,$poziomOceny,$punktyRazemBezUwzglednieniaNieobecnosci);
  # Wyznaczamy dwa najlepsze z trzech midtermw
  $midterm1=0 if($midterm1 =~ /nieobecny/);
  $midterm2=0 if($midterm2 =~ /nieobecny/);
  $midterm3=0 if($midterm3 =~ /nieobecny/);
  $midterm1=100.0 if($midterm1 > 100);
  $midterm2=100.0 if($midterm2 > 100);
  $midterm3=100.0 if($midterm3 > 100);
  my @midTermResults=sort{ $a <=> $b }($midterm1,$midterm2,$midterm3);
# print "Sorted $midTermResults[0] $midTermResults[1] $midTermResults[2]\n";
  my $punktyEgzaminowe=($midTermResults[1]+$midTermResults[2])/2;
  if($punktyCwiczeniowe !~ /\d/){
    $punktyCwiczeniowe=0;
  }
  $punktyRazem=int(0.5 + 0.5*$punktyCwiczeniowe + 0.5*$punktyEgzaminowe);
  $punktyRazemBezUwzglednieniaNieobecnosci=$punktyRazem;
  $poziomOceny=0;
  while($punktyRazem<$self->{limityOcen}->[$poziomOceny]){$poziomOceny++;};
  $ocena=$self->{formaOcen}->[$poziomOceny];
  return ($ocena,$punktyRazem,$poziomOceny,$punktyRazemBezUwzglednieniaNieobecnosci);
}


1;