###############################
#
# Klasa raport
#
# (c) Tomasz Gorazd, Marian Mrozek 2002
#
#

package raport;

#Funkcja wypisz drukuje na ekran oraz do pliku z raportem
#ktorego nazwa przychodzi do new

sub new{
  my ($class, $plik, $noDate) = @_;
  my $self = {};
  bless($self,$class);
  $self->{plik}=$plik;
  $self->{otwarty}=0;
  my ($sec,$min,$hour,$mday,$mon,$year)=localtime();
  $year+=1900;
  $mon++;
  if(!$noDate){
    $self->wypisz("\n\n------------------------------------\n");
    $self->wypisz("$year-$mon-$mday  $hour:$min\n");
    $self->wypisz("------------------------------------\n\n");
  }
  return $self;
}

sub wypisz{
  my ($self, $linia) = @_;
  print $linia;

  if($self->{plik}){
    if(!$self->{otwarty}){
      open(RAPORT, ">>$self->{plik}") || die("Nie udao si otworzy pliku $plik dla raportu\n");
      $self->{otwarty}=1;
    }
    print RAPORT $linia;
  }
}

sub wymaluj{
  my $self=shift;
  $self->wypisz(@_);
}

sub wymalujError{
  my $self=shift;
  $self->wypisz(@_);
}

sub zakoncz{
  my ($self, $linia) = @_;
  print $linia, "\nProgram zakonczony niepowodzeniem\n";
  print RAPORT $linia, "\nProgram zakonczony niepowodzeniem\n" if($self->{plik});
  $self->zamknij_raport();
  die("\n");
}



sub zamknij_raport{
  close  RAPORT if($self->{plik});
}

sub DESTROY{
  my ($self) = @_;
  $self->zamknij_raport();
}

1;
