##################
#
# klasa fileClasses
#
# (c) Marian Mrozek, Krakw 2000
#
# klasa dostarcza funkcj weryfikujc
# czy nazwa pliku pasuje do wzorca z podanej listy
#


package fileClasses;

use strict;

################################
#
# Konstruktor
#
sub new{
  my ($class,$pattern) = @_;
  my $self = {};
  # Jako znak alternatywy we wzorcu dopuszczamy te przecinek
  $pattern =~ s/,/|/g;
  $self->{pattern}=$pattern;
  bless($self,$class);
  return $self;
}


################################
#
# Funkcja sprawdzajca czy plik ma suffix w danej klasie
#
sub contains{
  my ($self,$file) = @_;
  my $result=($file =~ $self->{pattern});
# print "Matching $file =~ $self->{pattern} ($result)\n";
  return $result;
}

1;