##################
#
# klasa pruneEmptyDirs
#
# klasa suy do rekursywnego usuwania zbytecznych plikw z katalogw
#

package pruneEmptyDirs;

use strict;
use dirTree;
use utilities;
use vars qw(@ISA);


@ISA = ("dirTree");


################################
#
# Konstruktor
#
sub new{
  my $class=shift;
  my ($dir) = @_;
  my $self=$class->SUPER::new(@_);
  return $self;
}

#############################################
#
# preProcessDir
#
sub preProcessDir{
  my ($self,$fullDirName)=@_;
#print "Entering $fullDirName\n";
}

#############################################
#
# postProcessDir
#
sub postProcessDir{
  my ($self,$fullDirName)=@_;
#print "Leaving $fullDirName\n";
  if(!$self->{childProcessedFiles}){
    rmdir($fullDirName);
#print "-->In $fullDirName found $self->{numberProcessedFiles}\n";
  }
}

#############################################
#
# processFile
#
sub processFile{
  my ($self,$fullFileName)=@_;
  my $processed=0;
  if(-r $fullFileName){
    $processed=1;
#print "Found $fullFileName\n";
  }
  return $processed;
}

#############################################
1;