##################
#
# klasa suffices
#
# (c) Marian Mrozek, Krakw 2000
#
# klasa dostarcza funkcj weryfikujc czy plik ma rozszerzenie z podanej listy
#

package suffices;

use strict;
use File::Basename;

################################
#
# Konstruktor
#
sub new{
  my ($class,$suff_list) = @_;
  my $self = {};
  my $x;
  foreach $x (split(/,/,$suff_list)){
    $self->{suffices}->{lc($x)} = lc($x);
    print "dirTree::suffices::new: Adding suffix $x\n" if($main::opt_d);
  }
  bless($self,$class);
  return $self;
}


################################
#
# Funkcja sprawdzajca czy plik ma suffix w danej klasie
#
sub contains{
  my ($self,$file) = @_;
  my ($base,$path,$suff) = fileparse($file,'\.[^\.]+\Z');
  $suff =~ s/\.([^\.]+)/$1/;
  $suff=lc($suff);
#  print "dirTree::suffices::contains: Got suffix $suff for $file\n" if($main::opt_d);
  return (defined($self->{suffices}->{$suff}) ? $suff :'');
}

1;