#!/usr/local/bin/perl
#
# egzaminator.pl
#
# (c) Marian Mrozek 1996-2003
#
# Interfejs graficzny w Perl/Tk dla programw robtest.pl,
# ocentest.pl i wystawoceny.pl
#

use Tk;
# use encoding 'cp1250';

use FindBin qw($Bin);
use lib "$Bin/egzaminator";
use lib "$Bin/egzaminator/egzekutor";
use lib "$Bin/utilities";
use lib "$Bin/dirTree";

use egzaminator;
use utilities;
use Getopt::Long;
use starterEgzaminatora;


my @optl=("e|edycja:s","h|help!");
my $ret = GetOptions (@optl);

if($opt_h){
   print "Usage: egzaminator [-e nrEdycji] \n";
   exit(0);
};

if(!(-r "key.txt")){
  my $command="ScanAndRecognize install";
  `$command`;
}

my $starter = new starterEgzaminatora($Bin);
$starter->wyswietlOkno();

MainLoop;

