##################
#
# Klasa robWstepnaListeEgzaminacyjna
#
#

package robWstepnaListeEgzaminacyjna;

@ISA=("pracujNaEdycjiTestu");

use pracujNaEdycjiTestu;
use utilities;
use generatorListEgzaminacyjnych;

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Przygotowanie wstpnej listy egzaminacyjnej
END
  ;
  $self->{tekstOpisuZadania}=<<END
Przygotowanie wstpnej listy egzaminacyjnej w HTMLu
do wywieszenia w celach kontronlych w intranecie.
Wygenerowany plik ma nazw
   lista_egzaminacyjna-0.html
i jest umieszczony w katalogu gwnym lub w podkatalogu lists.
Zadanie to mona pomin.

UWAGA: generowanie waciwych list egzaminacyjnych odbywa si
automatycznie wraz z generowaniem formularzy odpowiedzi.
END
  ;
  $self->{dopuscEdycje}=0;
}

############################## robLubOcenEdycjeTestu ######################
#

sub robLubOcenEdycjeTestu{
  my ($self,$plikKonfiguracyjnyEdycji)=@_;
  my $genListEgz=new generatorListEgzaminacyjnych($self->{par},$self->{par}->{nazwaBazowaTestu},$self->{raport});
  $genListEgz->przygotujListeWstepna();
}

############################## wykonaj ######################
#

sub wykonaj{
  my ($self)=@_;

  $self->wykonajPoczatek();
  $genListEgz=new generatorListEgzaminacyjnych($self->{par},$self->{par}->{nazwaBazowaTestu},$self->{raport});
  $genListEgz->przygotujListeWstepna();
  $self->wykonajKoniec();

}


########################################################################

1;