##################
#
# Klasa skanujTesty
#
# wspiera uruchamianie FineReadera
# w celu skanowania testw
#
#

package skanujTesty;

use utilities;
use zadanieZewnetrzneEgzaminatora;

@ISA = ("zadanieZewnetrzneEgzaminatora");

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Skanowanie wynikw testu
END
  ;
  $self->{tekstOpisuZadania}=<<END
  W celu zeskanowania testw uruchamiony zostanie program
FineReader. Przy zapisywaniu zeskanowanych wynikw
naley upewni si czy zapis nastpi do podkatalogu skaner
umieszczonego w katalogu gwnym testu. FineReader domylnie
proponuje zapis nie w katalogu roboczym, lecz w katalogu
w ktrym zapisywa poprzednim razem, wic atwo o pomyk.
Do ju zeskanowanych testw mona w dowolnym momencie doskanowa
nowe. Po kadym skanowaniu naley jednak ponownie zapisa
wyniki skanowania w katalogu skaner.
END
  ;
  $self->{dopuscEdycje}=0;
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  $self->{'nazwaEgzekutoraZewnetrznego'}='FineReader';
  return $self;
}

####################################################
#
# wywyoanie programu skanujcego testy
#

sub wykonajWlasciweZadanie{
  my ($self)=@_;

  my $baseName="skaner";
  my $frFile="$baseName.frm";
  my $pwd=pwd();

  mkdir('skaner',0660) if(!(-d 'skaner'));
  chdir('skaner');


  if(!(-r $frFile)){
    my $dir="$self->{referencjaZadania}->{par}->{Bin}/egzaminator/szablony/mtba4-50-5";
    opendir(DIR,$dir);
    my @filelist=readdir(DIR);
    closedir(DIR);
    foreach my $file(@filelist){
      if($file =~ /^mtba4-50-5.(\w+)$/){
        print "Copying $file:  $self->{referencjaZadania}->{par}->{Bin}/egzaminator/szablony/mtba4-50-5/$file\n" if($main::opt_v);
        copy("$self->{referencjaZadania}->{par}->{Bin}/egzaminator/szablony/mtba4-50-5/$file","$baseName.$1");
      }
    }
    print "Utworzono $frFile\n";
  }
  my $command="\"$self->{referencjaZadania}->{par}->{FineReader}\"  -Form $baseName.frm";
  $self->{oknoRaportu}->insert('end',"Wywouj: $command\n");
  my $out=`$command`;
  chdir('..');
}

########################################################################

1;

