##################
#
# Klasa wyswietlWyniki
#
# wspiera podgld wynikw w IE
#
#

package wyswietlWyniki;

use utilities;
use zadanieZewnetrzneEgzaminatora;
use Win32::Process;

@ISA = ("zadanieZewnetrzneEgzaminatora");

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Wykaz Ocen
END
  ;
  $self->{tekstOpisuZadania}=<<END
  Podgld wykazu ocen w formacie HTML
END
  ;
  $self->{dopuscEdycje}=0;
  $self->{'nazwaEgzekutoraZewnetrznego'}='CzytnikHTML';
}

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);
  $self->ustawOpisy();
  return $self;
}

####################################################
#
# wywyoanie programu drukujcego testy
#

sub wykonajWlasciweZadanie{
  my ($self)=@_;

  my $baseName=$self->{referencjaZadania}->{par}->{nazwaBazowaTestu};

  my $numerEdycji=$self->{referencjaZadania}->{numerEdycji};
  $baseName.="-$numerEdycji" if($numerEdycji);
  my $pwd=pwd();
  my $extension=($self->{referencjaZadania}->{sortowanieWzgledemWyniku}?'all.wg-wyniku.html':'all.wg-nazwiska.html');
  $self->{oknoRaportu}->insert('end',"Wywouj: $command\n");

  my $cmd="$self->{referencjaZadania}->{par}->{CzytnikHTML}";
  my $arg="/c "."$pwd\\oceny\\$baseName.$extension";
#print "Command is $cmd";
#print "arg is $arg";

  Win32::Process::Create($Win32::Process::Create::ProcessObj,
    $cmd, #
    $arg, #
    0, # Dont inherit.
    CREATE_NEW_CONSOLE,
    "."
  ) or
  die Win32::FormatMessage( Win32::GetLastError() );
}

########################################################################

1;

