###############################
#
# Klasa abstrakcyjna zadanieEgzaminatora
#
# (c) Marian Mrozek 2002
#
#

package zadanieEgzaminatora;

use Tk;
use strict;
require Tk::ROText;
use raportOkienkowy;

################################
#
# Konstruktor
#

sub new{
  my $class = shift;
  my $self = {};
  bless($self,$class);

  ($self->{referencjaEgzaminatora})=@_;
  $self->{mainWindow}=$self->{referencjaEgzaminatora}->{mainWindow};
  $self->{ramaZadania}=$self->{referencjaEgzaminatora}->{ramaZadania};
  $self->{widgety}=[];

  # To chyba jest ze rozwizanie i trzeba si go pozby
  # bo moe generowa bdy
  $egzaminator::biezacyRaport=
  $self->{metaRaport}=new raportOkienkowy("",$self->{oknoWyniku},$self->{mainWindow});



  return $self;
}

################################
#
# Zamknicie zadania
#

sub schowaj{
  my $self = shift;
  $self->{par}->{numerDomyslnyEdycji}=$self->{numerEdycji} if($self->{dopuscEdycje});
  foreach my $widget (@{$self->{widgety}}){
    $widget->destroy() if(Exists($widget));
  }
}


################################
#
# Wywietlenie zadania
#

sub pokaz{
  my $self = shift;
  # Z ramy zadania wydzielamy grn cz (oknoOpisuZadania),
  # w ktrej umieszczony bdzie opis zadania
  # oraz przycisk do uruchomienia zadania (robi to egzekutorEgzaminatora)
  # i doln cz oknoZadania, gdzie zadanie bdzie wypisywa wyniki swej pracy

  $self->{oknoOpisuZadania} = $self->{ramaZadania}->Frame->pack(-side => 'top', -fill => 'both', -expand => 1);
  $self->{oknoZadania} = $self->{ramaZadania}->Frame->pack(-side => 'top', -fill => 'both', -expand => 1);

  # Wypisujemy opis zadania
  my $title=$self->{oknoOpisuZadania}->Text(-width => 40, -height => 1, -relief => 'ridge', -background => 'gray', -font => 'heading')->
    pack(-side => 'top', -anchor => 'e', -fill => 'x', -expand => 1);
  my $heading=$self->{oknoOpisuZadania}->Text(-width => 40, -height => 1, -relief => 'ridge', -background => 'gray', -font => 'heading')->
    pack(-side => 'top', -anchor => 'e', -fill => 'x', -expand => 1);
  my $description=$self->{oknoOpisuZadania}->Scrolled('ROText',-scrollbars => 'osoe', -width => 80, -height => 5, -relief => 'ridge', -background => 'gray')->
    pack(-side => 'top', -anchor => 'e', -fill => 'both', -expand => 1);
  $title->insert('0.0'," $self->{referencjaEgzaminatora}->{par}->{kurs}  ($self->{referencjaEgzaminatora}->{par}->{data})");
  $heading->insert('0.0',$self->{task}->{naglowekOpisuZadania});
  $description->insert('0.0',$self->{task}->{tekstOpisuZadania});

  # Zapamitujemy utworzone widgety, by mc je potem atwo hurtem zlikwidowa
  push (@{$self->{widgety}},$self->{oknoOpisuZadania},$self->{oknoZadania});
}

###########################################################################

1;
