################################
#
# klasa examTestHalfMultiChoice2Pt pochodna od examTestEvaluator
#
# klasa implementuje testy dopuszczajce moliwo wielokrotnych
# poprawnych odpowiedzi
# klasa implementuje funkcje oceniajaca wedlug zasady
# - zaznaczone co najmniej dwie odpowiedzi, wszystkie poprawne s zaznaczone,
#     a adna za nie jest zaznaczona: 2 pkt
# - zaznaczona dokadnie jedna odpowied i jest ona poprawna: 1pkt
# - w pozostaych przypadkach: 0pkt
#
package examTestHalfMultiChoice2Pt;

use utilities;
use binary;
use examTestEvaluator;

@ISA = ("examTestEvaluator");


################################
#
# Funkcja obliczajca punkty za jedno pytanie
#
sub obliczPunkty{

  my ($self,
     $iloscBlednychZaznaczen,
     $iloscBrakujacychZaznaczen,
     $iloscPoprawnychZaznaczen,
     $iloscPoprawnychZaznaczenWeWzorcu)=@_;
  my $pkt;

  my $iloscZaznaczen=$iloscBlednychZaznaczen+$iloscPoprawnychZaznaczen;
  if($iloscZaznaczen >= 2){
    if(!$iloscBlednychZaznaczen && !$iloscBrakujacychZaznaczen){
      $pkt=2;
    }else{
      $pkt=0;
    }
  }else{
    $pkt=$iloscPoprawnychZaznaczen;
  }

  return $pkt;
}


################################


1;