################################
#
# klasa examTestMultiChoice2Pt pochodna od examTestEvaluator
#
# klasa implementuje testy dopuszczajce moliwo wielokrotnych
# poprawnych odpowiedzi
# klasa implementuje funkcje oceniajaca wedlug zasady
# zaznaczone wszystkie poprawne i adna za: 2 pkt
# zaznaczona co najmniej jedna poprawna, nie wszystkie poprawne i adna za: 1pkt
# nic nie zaznaczono, lub przynajmiej jedna zla : 0pkt

package examTestMultiChoice2PtNonAll;

use utilities;
use binary;
use examTestEvaluator;

@ISA = ("examTestEvaluator");


################################
#
# Funkcja obliczajca punkty za jedno pytanie
#
sub obliczPunkty{

   my ($self,
     $iloscBlednychZaznaczen,
     $iloscBrakujacychZaznaczen,
     $iloscPoprawnychZaznaczen,
     $iloscPoprawnychZaznaczenWeWzorcu)=@_;
  my $pkt;

  
  if(!$iloscBlednychZaznaczen && $iloscPoprawnychZaznaczen){
    if(!$iloscBrakujacychZaznaczen){
      $pkt=2;
    }else{
      $pkt=1;
    }
  }else{
    $pkt=0;
  }
 
 # print " dobre = $iloscPoprawnychZaznaczen brak = $iloscBrakujacychZaznaczen bledy = $iloscBlednychZaznaczen  -> punkty = $pkt \n";
  return $pkt;

}



################################
#
# Funkcja zwracajca maksymaln ilo punktw za test
# Uzaleniona jest oczywicie od iloci problemw
#
sub maksymalnaIloscPunktow{
  my ($self) = @_;

  return 2 * $self->{iloscProblemow};
}

1;