################################
#
# klasa  printerPS
#
# klasa drukuje zadany plik w odpowiednim formacie
# okrelonym w pilkach pochodnych

package printerPS;
use printer;

@ISA=("printer");




################################
#
# Konstruktor
#
sub new{
  my $class=shift;
  my $self=$class->SUPER::new(@_);
  $self->{printerType}='PS';
  return $self;
}

################################
#
# hardPrint
#
sub hardPrint{
  my ($self, $filename, $portraitOrLandscape)=@_;
#  my $out=`latex $filename`;
  my $out=`$self->{callerRef}->{par}->{TexBin}latex $filename`;
  # Zamieniamy rozszerzenie z tex na dvi
  $filename =~ s/tex$/dvi/;
  my $psOptionalArguments=($portraitOrLandscape =~ /^\s*landscape\s*$/ ? '-t landscape' : '');
  my $out=`$self->{callerRef}->{par}->{TexBin}dvips $psOptionalArguments $filename -o`;
  return $out;
}


################################

1;