##################
#
# Klasa robTest
#
# Klasa uywana w wersji DOSowej.
# W wersji okienkowej zostaa rozbita na dwie klasy
#         robFormularzeTestu
#         robFormularzeOdpowiedzi
# umieszczone w katalogu egzaminator/egzekutor
# wraz z klas
#         ocenTest

package robTest;
use pracujNaEdycjiTestu;

@ISA=("pracujNaEdycjiTestu");

use utilities;

####################################################
#
# opisy
#
sub ustawOpisy{
  my ($self)=@_;
  $self->{naglowekOpisuZadania}=<<END
Przygotowanie formularzy testu i formularzy odpowiedzi
END
  ;
  $self->{tekstOpisuZadania}=<<END
Po skonfigurowaniu danych, umieszczeniu listy studentw
w katalogu gwnym i umieszczeniu tematw testu w katalogu tematy
mona uruchomic program robtest w celu wygenerowania
formularzy testu i formularzy odpowiedzi
END
  ;
  $self->{dopuscEdycje}=1;
}

############################## robLubOcenEdycjeTestu ######################
#

sub robLubOcenEdycjeTestu{
  my ($self,$plikKonfiguracyjnyEdycji)=@_;
  my ($uzywanyTest,$par,$sito,$niezbednaIloscTestow,$studentsByExamId,$pierwszyWolnyNr)=$self->init($plikKonfiguracyjnyEdycji);
  return if(!$uzywanyTest);
  my ($test,$form,$genListEgz);
  $test = $uzywanyTest->new($par,$sito,$niezbednaIloscTestow,$self->{raport});
  $form=new answerForm($par,$par->{iloscProblemow},$par->{iloscOpcji},$pierwszyWolnyNr,$self->{raport});
  $test->prepareTestsAndForms($form,$studentsByExamId);
  $self->{raport}->wymaluj("Generuj listy egzaminacyjne.\n");
  $genListEgz=new generatorListEgzaminacyjnych($par,$par->{nazwaBazowaTestu},$self->{raport});
  $genListEgz->rozpiszEgzaminy();
}

############################## wykonaj ######################
#

sub wykonaj{
  my ($self)=@_;

  $main::opt_e=$self->{referencjaZadania}->{numerEdycji} if($self->{referencjaZadania}->{numerEdycji} =~ /\d/);
  $self->wykonajPoczatek();
  $self->wykonajWlasciweZadanie();
  $self->wykonajKoniec();

}


########################################################################

1;