##################
#
# klasa lista
#
# klasa obsuguje we-wy list (tablic)
#

package lista;

use strict;
use utilities;

################################
#
# Konstruktor
#
sub new{
  my ($class,$the_list) = @_;
  my $self = {};
  bless($self,$class);
  $self->{elements}=[];
  @{$self->{elements}}=split(/;/,$the_list);
  for(my $i=0;$i<=$#{$self->{elements}};$i++){
    $self->{elements}->[$i]=eject_blanks($self->{elements}->[$i]);
  }
  return $self;
}

################################
#
# funkcja zwraca rekord jako napis
#
sub toString{
  my ($self,$sep) = @_;
  return join($sep,@{$self->{elements}});
}




1;