use Tk;
require Tk::Dialog;
#use encoding 'cp1250';
use Win32::TieRegistry( Delimiter=>"#", ArrayValues=>0 );

my $win = MainWindow->new;
$win->minsize(400,10);
$win->title("Instalacja Egzaminatora 2008-09-01");

$Registry->Delimiter("/");
my $swKey= $Registry->{"LMachine/Software/"};

if(-d 'c:\\egzaminator'){
  my $answer=$win->Dialog(
      -title => 'Instalacja MikTeXa',
      -text => "Egzaminator jest ju zainstalowany.\nCzy kontynuowa instalacj?\nKontynuacja zniszczy ju zainstalowan wersj.",
      -default_button => 'TAK',
      -buttons => ['TAK','NIE']
  )->Show();
  if($answer eq 'TAK'){
#    `rmdir /S/Q c:\\egzaminator`;
  }else{
    die("Rezygnacja z instalacji");
  }
}

if(!defined($swKey->{'MiK/'})){
  my $text=<<END
MikTeX 2.1 nie jest zainstalowany.
Jeli masz zaisntalowan inn wersj
TeXa/MiKTeXa i chcesz z niej korzysta,
odpowiedz NIE na ponisze pytanie,
a przy pierwszym uruchomieniu egzaminatora
skonfiguruj stosownie ustawienia
w menu gwnym.

Czy zainstalowa MikTeXa?
END
  ;
  my $answer=$win->Dialog(
    -title => 'Instalacja MikTeXa',
    -text => $text,
    -default_button => 'TAK',
    -buttons => ['TAK','NIE']
  )->Show();
  if($answer eq 'TAK'){
    my $command="xcopy /E/I/C/Y/Q miktex c:\\miktex";
    `$command`;
    $swKey->{'MiK/'}={
      'MiKTeX/' => {
        'CurrentVersion/' => {
          'MiKTeX/' => {
            '/Install Root' => 'C:\miktex\texmf',
            '/Local Root' => 'C:\miktex\localtexmf',
            '/SharedSetup' => 1,
            '/TeXMF Root Directories' => 'C:\miktex\localtexmf;C:\miktex\texmf'
          }
        }
      }
    };
  }
}

if(!(-e "c:/Program Files/Adobe/Reader 8.0/Reader/AcroRd32.exe")){
  my $text=<<END
Nie odnaleziono Adobe Readera
w standardowej lokalizacji.
Jeli jest zainstalowany niestandardowo
lub chcesz korzysta z innego zainstalowanego
readera pdf odpowiedz NIE na ponisze pytanie,
a przy pierwszym uruchomieniu egzaminatora skonfiguruj
stosownie ustawienia w menu gwnym.

Czy zainstalowa Adobe Readera?
END
  ;
  my $answer=$win->Dialog(
    -title => 'Instalacja Adobe Readera',
    -text => $text,
    -default_button => 'TAK',
    -buttons => ['TAK','NIE'],
  )->Show();
  if($answer eq 'TAK'){
    `Acrobat/AdbeRdr812_pl_PL.exe`;
  }
}

print "Kopiuje pliki egzaminatora ...\n";
my $command="xcopy /E/I/C/Y/Q egzaminator c:\\egzaminator";
`$command`;
# print "Kopiuj pliki perla\n";
my $command="xcopy /E/I/C/Y/Q perl c:\\egzaminator\\perl";
`$command`;


my $answer=$win->Dialog(
  -title => '',
  -text => 'Czy utworzy link do egzaminatora na pulpicie?',
  -default_button => 'TAK',
  -buttons => ['TAK','NIE'],
)->Show();
if($answer eq 'TAK'){
  my $command="copy egzaminator\\egzaminator.bat.lnk \"C:\\Documents and Settings\\All Users\\Pulpit\"";
  `$command`;
}

$win->Dialog(
  -title => '',
  -text => 'Instalacja zostaa zakoczona',
  -default_button => 'OK',
  -buttons => ['OK'],
)->Show();

$win->destroy();

